Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkdepot._1_0.protocol
Class GetEtkRequest

    java.lang.Object
      be.fgov.ehealth.commons._1_0.protocol.RequestType
          be.fgov.ehealth.etkdepot._1_0.protocol.GetEtkRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class GetEtkRequest

extends RequestType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:1_0:protocol}RequestType">
           <sequence>
             <element name="SearchCriteria" type="{urn:be:fgov:ehealth:etkdepot:1_0:protocol}SearchCriteriaType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetEtkRequest()`

Method Summary
`SearchCriteriaType` | `getSearchCriteria()` Gets the value of the searchCriteria property.
`void` | `setSearchCriteria(SearchCriteriaType value)` Sets the value of the searchCriteria property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetEtkRequest

    public GetEtkRequest()

Method Detail

### getSearchCriteria

    public SearchCriteriaType getSearchCriteria()

  Gets the value of the searchCriteria property.

  Returns:
    possible object is `SearchCriteriaType`

### setSearchCriteria

    public void setSearchCriteria(SearchCriteriaType value)

  Sets the value of the searchCriteria property.

  Parameters:
    `value` - allowed object is `SearchCriteriaType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.